aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2018-10-06 14:07:47 -0500
committerRob Landley <rob@landley.net>2018-10-06 14:07:47 -0500
commit951c73334a77608fd1108f03eb9e6f98ffbb12a1 (patch)
treeadf1cbf6a9078b5b4bd5fb8b46d9473aeeab8529 /scripts
parente8d6600f07ccf2ada1b0fccd61f96dc097ee0d1f (diff)
downloadtoybox-951c73334a77608fd1108f03eb9e6f98ffbb12a1.tar.gz
Check for cross compiler before creating any generated/* files w/probed vals.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/make.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/scripts/make.sh b/scripts/make.sh
index 06dec156..ef0a7050 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -7,6 +7,9 @@ export LC_ALL=C
set -o pipefail
source ./configure
+[ ! -z "$CROSS_COMPILE" ] && [ ! -e "$CROSS_COMPILE"cc ] &&
+ echo "missing ${CROSS_COMPILE}cc" && exit 1
+
[ -z "$KCONFIG_CONFIG" ] && KCONFIG_CONFIG=.config
[ -z "$OUTNAME" ] && OUTNAME=toybox
UNSTRIPPED="generated/unstripped/$(basename "$OUTNAME")"